Skip to main content
POST
/
v1
/
webauthn
/
assert
/
options
Generate assertion options
curl --request POST \
  --url https://grantex-auth-dd4mtrt2gq-uc.a.run.app/v1/webauthn/assert/options \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "principalId": "<string>",
  "authRequestId": "<string>"
}
'
{
  "challengeId": "<string>",
  "challenge": "<string>",
  "allowCredentials": [
    {
      "id": "<string>",
      "type": "<string>"
    }
  ],
  "userVerification": "required",
  "timeout": 123
}

Authorizations

Authorization
string
header
required

Developer API key

Body

application/json
principalId
string
required

The end-user's principal ID

authRequestId
string
required

The authorization request ID this assertion is for

Response

Assertion options

challengeId
string
challenge
string
allowCredentials
object[]
userVerification
enum<string>
Available options:
required
timeout
integer